Last modified: 2013-04-22 16:14:12 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 38712 - Special:FirstSteps overwrites existing threads for flag request if LQT is confused
Special:FirstSteps overwrites existing threads for flag request if LQT is con...
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Translate (Other open bugs)
master
All All
: High major (vote)
: ---
Assigned To: Niklas Laxström
https://translatewiki.net/w/i.php?tit...
:
Depends on: 45848
Blocks: noncoreapi
  Show dependency treegraph
 
Reported: 2012-07-26 14:37 UTC by Nemo
Modified: 2013-04-22 16:14 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-07-26 14:37:40 UTC
See example (also affected by bug 36978 but it's unrelated). The problem seems to be specific to this language, in fact other languages seem to be ok but when I created another thread for this misplaced message it's been created (see <https://translatewiki.net/w/i.php?title=Special:Contributions/Nemo_bis&dir=prev&offset=20120726142046&limit=2&target=Nemo+bis> or <https://translatewiki.net/w/i.php?title=Thread:Project:Translator/_as_assamese_%E2%80%93_%E0%A6%85%E0%A6%B8%E0%A6%AE%E0%A7%80%E0%A7%9F%E0%A6%BE&oldid=4039471>) and it's shown correctly on [[Project:Translator]] but direct link <https://translatewiki.net/wiki/Thread:Project:Translator/_as_assamese_%E2%80%93_%E0%A6%85%E0%A6%B8%E0%A6%AE%E0%A7%80%E0%A7%9F%E0%A6%BE> gives "No such thread" error, so I assume Special:FirstSteps acts incorrectly base don incorrect info about thread status by LQT.
Comment 1 Nemo 2012-08-02 00:01:35 UTC
There are also reports of people getting a "server error" when trying to request translator rights, dunno if it's related but needs investigation.

Trying to get more info from https://translatewiki.net/wiki/User:Guntijs
Comment 2 Nemo 2012-08-02 00:08:26 UTC
(In reply to comment #1)
> There are also reports of people getting a "server error" when trying to
> request translator rights, dunno if it's related but needs investigation.
> 
> Trying to get more info from https://translatewiki.net/wiki/User:Guntijs

It isn't. Bug 38939.
Comment 3 Nemo 2013-01-19 19:27:19 UTC
Now if I try to create a thread to request rights in as I get a fatal:

Database query syntaxত ত্ৰুটি হৈছে। ছফ্টৱেৰত থকা কোনো বাগৰ বাবে এনে হব পাৰে। অন্তিমবাৰ চেষ্টা কৰা ডাটাবেচ কুৱেৰীটো আছিল এনেধৰণৰ:
(নিহিত SQL query)
"Thread::insert" ফাংচনৰ পৰা। ডাটাবেচে প্ৰেৰণ কৰা ত্ৰুটি: "1062: Duplicate entry '2634092' for key 'thread_root' (localhost)"।
Comment 4 Nemo 2013-01-19 21:34:21 UTC
I managed to delete one if the two existing threads, although with the error below; however even https://translatewiki.net/w/i.php?oldid=4039471&action=delete fails saying that someone may have already deleted the thread, I managed to delete only its child.
So from FirstSteps I still get:

A database query syntax error has occurred. This may indicate a bug in the software. The last attempted database query was:
(SQL query hidden)
from within function "Thread::insert". Database returned error "1062: Duplicate entry '2387954' for key 'thread_root' (localhost)".

----

Post 22042 has contaminated reply 22854. Expected 22042, got 22040

Backtrace:

#0 /www/translatewiki.net/w/extensions/LiquidThreads/classes/Thread.php(989): Thread->checkReplies(Array)
#1 /www/translatewiki.net/w/extensions/LiquidThreads/classes/DeletionController.php(45): Thread->replies()
#2 /www/translatewiki.net/w/extensions/LiquidThreads/classes/DeletionController.php(48): LqtDeletionController::recursivelyDeleteReplies(Object(Thread), 'Thread padre ca...')
#3 /www/translatewiki.net/w/extensions/LiquidThreads/classes/DeletionController.php(27): LqtDeletionController::recursivelyDeleteReplies(Object(Thread), 'Thread padre ca...')
#4 [internal function]: LqtDeletionController::onArticleDeleteComplete(Object(WikiPage), Object(User), 'test: [[bugzill...', 2634092, Object(WikitextContent), Object(ManualLogEntry))
#5 /www/translatewiki.net/w/includes/Hooks.php(255): call_user_func_array('LqtDeletionCont...', Array)
#6 /www/translatewiki.net/w/includes/GlobalFunctions.php(3871): Hooks::run('ArticleDeleteCo...', Array)
#7 /www/translatewiki.net/w/includes/WikiPage.php(2608): wfRunHooks('ArticleDeleteCo...', Array)
#8 /www/translatewiki.net/w/includes/Article.php(1629): WikiPage->doDeleteArticleReal('test: [[bugzill...', false, 0, true, '')
#9 /www/translatewiki.net/w/includes/Article.php(1466): Article->doDelete('test: [[bugzill...', false)
#10 /www/translatewiki.net/w/includes/actions/DeleteAction.php(38): Article->delete()
#11 /www/translatewiki.net/w/includes/Wiki.php(439): DeleteAction->show()
#12 /www/translatewiki.net/w/includes/Wiki.php(305): MediaWiki->performAction(Object(Article), Object(Title))
#13 /www/translatewiki.net/w/includes/Wiki.php(565): MediaWiki->performRequest()
#14 /www/translatewiki.net/w/includes/Wiki.php(458): MediaWiki->main()
#15 /www/translatewiki.net/w/index.php(59): MediaWiki->run()
#16 {main}
Comment 5 Nemo 2013-02-28 15:02:47 UTC
(In reply to comment #3)
> Now if I try to create a thread to request rights in as I get a fatal:

To clarify, this is only about FirstSteps (as the rest of the report); creating a new thread with summary "{{LanguageHeader|as}}" works, but now I can't delete that one either at https://translatewiki.net/w/i.php?oldid=4579708&action=delete
Comment 6 Siebrand Mazeland 2013-03-05 10:25:36 UTC
Can you please try to get steps to reproduce for this? I'm not sure if this is fixable without...
Comment 7 Nemo 2013-03-05 10:44:57 UTC
The steps have already been provided, but I can try to make them clearer.

Steps for FirstSteps bug:

1) Log in as new user or other account without translator status
2) Request to get translator rights in "as" language

Steps for LQT side of the bug:

1) Go to Project:Translator
2) Try and create a thread with "{{LanguageHeader|as}}" as summary
3) Observe the lottery of random weird results, including
3a) failure at creating the thread
3b) failure at replying at it
3c) success at replying at it, but failure at replying to the reply without overwriting it
3d) failure of deletion of the thread
Comment 8 Niklas Laxström 2013-03-05 16:09:38 UTC
I'll try to fix this, probably by fixing the corrupted database state by hand.
Comment 9 Niklas Laxström 2013-04-04 12:42:37 UTC
Worked around in https://gerrit.wikimedia.org/r/57501

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links